jvx.numeric

## Class PnPreconditionerILU

- java.lang.Object
- - jvx.numeric.PnPreconditioner
  - - jvx.numeric.PnPreconditionerILU

-     public class PnPreconditionerILU
      extends PnPreconditioner

  Perform an ILU Preconditioning.

- - ### Field Summary

    - ### Fields inherited from class jvx.numeric.PnPreconditioner

      `m_smat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnPreconditionerILU(PnSparseMatrix A)`
    `PnPreconditionerILU(PnSparseMatrix A, double initShift)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PdVector` | `apply(PdVector b, PdVector x, int dim)` Apply the preconditioner to a given vector b storing the result in x using given dimension of vectors This method has to be implemented
    `PdVector` | `applyTransposed(PdVector b, PdVector x, int dim)` Apply the preconditioner transposed to a given vector b storing the result in x This method has to be implemented
    `void` | `setSparseMatrix(PnSparseMatrix A)` Set the matrix to use in the preconditionert.
    `void` | `updateDiag()` Update the index of diagonal elements of the matrix

    - ### Methods inherited from class jvx.numeric.PnPreconditioner

      `apply, applyTransposed`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PnPreconditionerILU

          public PnPreconditionerILU(PnSparseMatrix A)

    - #### PnPreconditionerILU

          public PnPreconditionerILU(PnSparseMatrix A,
                             double initShift)

  - ### Method Detail

    - #### setSparseMatrix

          public void setSparseMatrix(PnSparseMatrix A)

      Description copied from class: `PnPreconditioner`
      Set the matrix to use in the preconditionert. The matrix has to be square.

      This method has to be implemented

      Overrides:
        `setSparseMatrix` in class `PnPreconditioner`

    - #### apply

          public PdVector apply(PdVector b,
                       PdVector x,
                       int dim)

      Description copied from class: `PnPreconditioner`
      Apply the preconditioner to a given vector b storing the result in x using given dimension of vectors

      This method has to be implemented

      Overrides:
        `apply` in class `PnPreconditioner`
      Returns:
        x

    - #### applyTransposed

          public PdVector applyTransposed(PdVector b,
                                 PdVector x,
                                 int dim)

      Description copied from class: `PnPreconditioner`
      Apply the preconditioner transposed to a given vector b storing the result in x

      This method has to be implemented

      Overrides:
        `applyTransposed` in class `PnPreconditioner`
      Returns:
        x

    - #### updateDiag

          public void updateDiag()

      Update the index of diagonal elements of the matrix

"

The software JavaView? is copyright protected. All Rights Reserved.
"